Eventum Logo

Eventum

GeneratorsId

Update Generator

Update generator with provided parameters. Note that id path parameter takes precedence over id field in the body.

PUT
/generators/{id}

Path Parameters

id*string

Generator id

Length1 <= length

Request Body

application/json

timezone?string
Default"UTC"
Length3 <= length
batch?

Batcher parameters.

Attributes

size : int | None, default=10000 Batch size for generating events.

delay : float | None, default=1.0 Batch delay (in seconds) for generating events.

Notes

At least one parameter must be not None.

queue?

Parameters of input plugins queue.

Attributes

max_timestamp_batches : int, default=10 Maximum number of batches in timestamps queue.

max_event_batches : int, default=10 Maximum number of batches in events queue.

keep_order?boolean
Defaultfalse
max_concurrency?integer
Default100
Range1 <= value
write_timeout?integer
Default10
Range1 <= value
id*string
Length1 <= length
path*string
Formatpath
live_mode?boolean
Defaulttrue
skip_past?boolean
Defaulttrue
params?object
[key: string]?never

Response Body

application/json

application/json

curl -X PUT "https://eventum.example.com/api/generators/string" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "path": "string"  }'
null
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}